### Hierarchy

- Global

## Index

### Properties

- Array
- ArrayBuffer
- Boolean
- Buffer
- DataView
- Date
- Error
- EvalError
- Float32Array
- Float64Array
- Function
- GLOBAL
- Infinity
- Int16Array
- Int32Array
- Int8Array
- Intl
- JSON
- Map
- Math
- NaN
- Number
- Object
- Promise
- RangeError
- ReferenceError
- RegExp
- Set
- String
- Symbol
- SyntaxError
- TypeError
- URIError
- Uint16Array
- Uint32Array
- Uint8Array
- Uint8ClampedArray
- WeakMap
- WeakSet
- clearImmediate
- clearInterval
- clearTimeout
- console
- decodeURI
- decodeURIComponent
- encodeURI
- encodeURIComponent
- escape
- eval
- gc
- global
- isFinite
- isNaN
- parseFloat
- parseInt
- process
- queueMicrotask
- root
- setImmediate
- setInterval
- setTimeout
- undefined
- unescape
- v8debug

## Properties

### Array

Array: ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:948

### ArrayBuffer

ArrayBuffer: ArrayBufferConstructor

- Defined in node_modules/@types/node/globals.d.ts:949

### Boolean

Boolean: BooleanConstructor

- Defined in node_modules/@types/node/globals.d.ts:950

### Buffer

Buffer: object

- Defined in node_modules/@types/node/globals.d.ts:951

#### Type declaration

- ##### constructor: function

  - new __type(str: string, encoding?: undefined | string): Buffer
  - new __type(size: number): Buffer
  - new __type(array: Uint8Array): Buffer
  - new __type(arrayBuffer: ArrayBuffer | SharedArrayBuffer): Buffer
  - new __type(array: any[]): Buffer
  - new __type(buffer: Buffer): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:303

    Allocates a new buffer containing the given {str}.

    deprecated

      since v10.0.0 - Use `Buffer.from(string[, encoding])` instead.

    #### Parameters

    - ##### str: string

      String to store in buffer.

    - ##### Optional encoding: undefined | string

      encoding to use, optional. Default is 'utf8'

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:311

    Allocates a new buffer of {size} octets.

    deprecated

      since v10.0.0 - Use `Buffer.alloc()` instead (also see `Buffer.allocUnsafe()`).

    #### Parameters

    - ##### size: number

      count of octets to allocate.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:318

    Allocates a new buffer containing the given {array} of octets.

    deprecated

      since v10.0.0 - Use `Buffer.from(array)` instead.

    #### Parameters

    - ##### array: Uint8Array

      The octets to store.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:325

    Produces a Buffer backed by the same allocated memory as the given {ArrayBuffer}/{SharedArrayBuffer}.

    deprecated

      since v10.0.0 - Use `Buffer.from(arrayBuffer[, byteOffset[, length]])` instead.

    #### Parameters

    - ##### arrayBuffer: ArrayBuffer | SharedArrayBuffer

      The ArrayBuffer with which to share memory.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:334

    Allocates a new buffer containing the given {array} of octets.

    deprecated

      since v10.0.0 - Use `Buffer.from(array)` instead.

    #### Parameters

    - ##### array: any[]

      The octets to store.

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:341

    Copies the passed {buffer} data onto a new {Buffer} instance.

    deprecated

      since v10.0.0 - Use `Buffer.from(buffer)` instead.

    #### Parameters

    - ##### buffer: Buffer

      The buffer to copy.

    #### Returns Buffer

- ##### poolSize: number

  This is the number of bytes used to determine the size of pre-allocated, internal Buffer instances used for pooling. This value may be modified.

- ##### prototype: Buffer

- ##### alloc: function

  - alloc(size: number, fill?: string | Buffer | number, encoding?: undefined | string): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:421

    Allocates a new buffer of {size} octets.

    #### Parameters

    - ##### size: number

      count of octets to allocate.

    - ##### Optional fill: string | Buffer | number

      if specified, buffer will be initialized by calling buf.fill(fill). If parameter is omitted, buffer will be filled with zeros.

    - ##### Optional encoding: undefined | string

      encoding used for call to buf.fill while initalizing

    #### Returns Buffer

- ##### allocUnsafe: function

  - allocUnsafe(size: number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:428

    Allocates a new buffer of {size} octets, leaving memory not initialized, so the contents of the newly created Buffer are unknown and may contain sensitive data.

    #### Parameters

    - ##### size: number

      count of octets to allocate

    #### Returns Buffer

- ##### allocUnsafeSlow: function

  - allocUnsafeSlow(size: number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:435

    Allocates a new non-pooled buffer of {size} octets, leaving memory not initialized, so the contents of the newly created Buffer are unknown and may contain sensitive data.

    #### Parameters

    - ##### size: number

      count of octets to allocate

    #### Returns Buffer

- ##### byteLength: function

  - byteLength(string: string | TypedArray | DataView | ArrayBuffer | SharedArrayBuffer, encoding?: undefined | string): number
  - - Defined in node_modules/@types/node/globals.d.ts:396

    Gives the actual byte length of a string. encoding defaults to 'utf8'. This is not the same as String.prototype.length since that returns the number of characters in a string.

    #### Parameters

    - ##### string: string | TypedArray | DataView | ArrayBuffer | SharedArrayBuffer

      string to test.

    - ##### Optional encoding: undefined | string

      encoding used to evaluate (defaults to 'utf8')

    #### Returns number

- ##### compare: function

  - compare(buf1: Uint8Array, buf2: Uint8Array): number
  - - Defined in node_modules/@types/node/globals.d.ts:412

    The same as buf1.compare(buf2).

    #### Parameters

    - ##### buf1: Uint8Array

    - ##### buf2: Uint8Array

    #### Returns number

- ##### concat: function

  - concat(list: Uint8Array[], totalLength?: undefined | number): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:408

    Returns a buffer which is the result of concatenating all the buffers in the list together.

    If the list has no items, or if the totalLength is 0, then it returns a zero-length buffer. If the list has exactly one item, then the first item of the list is returned. If the list has more than one item, then a new Buffer is created.

    #### Parameters

    - ##### list: Uint8Array[]

      An array of Buffer objects to concatenate

    - ##### Optional totalLength: undefined | number

      Total length of the buffers when concatenated. If totalLength is not provided, it is read from the buffers in the list. However, this adds an additional loop to the function, so it is faster to provide the length explicitly.

    #### Returns Buffer

- ##### from: function

  - from(arrayBuffer: ArrayBuffer | SharedArrayBuffer, byteOffset?: undefined | number, length?: undefined | number): Buffer
  - from(data: number[]): Buffer
  - from(data: Uint8Array): Buffer
  - from(str: string, encoding?: undefined | string): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:358

    When passed a reference to the .buffer property of a TypedArray instance, the newly created Buffer will share the same allocated memory as the TypedArray. The optional {byteOffset} and {length} arguments specify a memory range within the {arrayBuffer} that will be shared by the Buffer.

    #### Parameters

    - ##### arrayBuffer: ArrayBuffer | SharedArrayBuffer

      The .buffer property of any TypedArray or a new ArrayBuffer()

    - ##### Optional byteOffset: undefined | number

    - ##### Optional length: undefined | number

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:363

    Creates a new Buffer using the passed {data}

    #### Parameters

    - ##### data: number[]

      data to create a new Buffer

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:364

    #### Parameters

    - ##### data: Uint8Array

    #### Returns Buffer

  - - Defined in node_modules/@types/node/globals.d.ts:370

    Creates a new Buffer containing the given JavaScript string {str}. If provided, the {encoding} parameter identifies the character encoding. If not provided, {encoding} defaults to 'utf8'.

    #### Parameters

    - ##### str: string

    - ##### Optional encoding: undefined | string

    #### Returns Buffer

- ##### isBuffer: function

  - isBuffer(obj: any): boolean
  - - Defined in node_modules/@types/node/globals.d.ts:381

    Returns true if {obj} is a Buffer

    #### Parameters

    - ##### obj: any

      object to test.

    #### Returns boolean

- ##### isEncoding: function

  - isEncoding(encoding: string): boolean | undefined
  - - Defined in node_modules/@types/node/globals.d.ts:388

    Returns true if {encoding} is a valid encoding argument. Valid string encodings in Node 0.12: 'ascii'|'utf8'|'utf16le'|'ucs2'(alias of 'utf16le')|'base64'|'binary'(deprecated)|'hex'

    #### Parameters

    - ##### encoding: string

      string to test.

    #### Returns boolean | undefined

- ##### of: function

  - of(...items: number[]): Buffer
  - - Defined in node_modules/@types/node/globals.d.ts:375

    Creates a new Buffer using the passed {data}

    #### Parameters

    - ##### Rest ...items: number[]

    #### Returns Buffer

### DataView

DataView: DataViewConstructor

- Defined in node_modules/@types/node/globals.d.ts:952

### Date

Date: DateConstructor

- Defined in node_modules/@types/node/globals.d.ts:953

### Error

Error: ErrorConstructor

- Defined in node_modules/@types/node/globals.d.ts:954

### EvalError

EvalError: EvalErrorConstructor

- Defined in node_modules/@types/node/globals.d.ts:955

### Float32Array

Float32Array: Float32ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:956

### Float64Array

Float64Array: Float64ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:957

### Function

Function: FunctionConstructor

- Defined in node_modules/@types/node/globals.d.ts:958

### GLOBAL

GLOBAL: Global

- Defined in node_modules/@types/node/globals.d.ts:959

### Infinity

Infinity: number

- Defined in node_modules/@types/node/globals.d.ts:960

### Int16Array

Int16Array: Int16ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:961

### Int32Array

Int32Array: Int32ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:962

### Int8Array

Int8Array: Int8ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:963

### Intl

Intl: Intl

- Defined in node_modules/@types/node/globals.d.ts:964

### JSON

JSON: JSON

- Defined in node_modules/@types/node/globals.d.ts:965

### Map

Map: MapConstructor

- Defined in node_modules/@types/node/globals.d.ts:966

### Math

Math: Math

- Defined in node_modules/@types/node/globals.d.ts:967

### NaN

NaN: number

- Defined in node_modules/@types/node/globals.d.ts:968

### Number

Number: NumberConstructor

- Defined in node_modules/@types/node/globals.d.ts:969

### Object

Object: ObjectConstructor

- Defined in node_modules/@types/node/globals.d.ts:970

### Promise

Promise: Function

- Defined in node_modules/@types/node/globals.d.ts:971

### RangeError

RangeError: RangeErrorConstructor

- Defined in node_modules/@types/node/globals.d.ts:972

### ReferenceError

ReferenceError: ReferenceErrorConstructor

- Defined in node_modules/@types/node/globals.d.ts:973

### RegExp

RegExp: RegExpConstructor

- Defined in node_modules/@types/node/globals.d.ts:974

### Set

Set: SetConstructor

- Defined in node_modules/@types/node/globals.d.ts:975

### String

String: StringConstructor

- Defined in node_modules/@types/node/globals.d.ts:976

### Symbol

Symbol: Function

- Defined in node_modules/@types/node/globals.d.ts:977

### SyntaxError

SyntaxError: SyntaxErrorConstructor

- Defined in node_modules/@types/node/globals.d.ts:978

### TypeError

TypeError: TypeErrorConstructor

- Defined in node_modules/@types/node/globals.d.ts:979

### URIError

URIError: URIErrorConstructor

- Defined in node_modules/@types/node/globals.d.ts:980

### Uint16Array

Uint16Array: Uint16ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:981

### Uint32Array

Uint32Array: Uint32ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:982

### Uint8Array

Uint8Array: Uint8ArrayConstructor

- Defined in node_modules/@types/node/globals.d.ts:983

### Uint8ClampedArray

Uint8ClampedArray: Function

- Defined in node_modules/@types/node/globals.d.ts:984

### WeakMap

WeakMap: WeakMapConstructor

- Defined in node_modules/@types/node/globals.d.ts:985

### WeakSet

WeakSet: WeakSetConstructor

- Defined in node_modules/@types/node/globals.d.ts:986

### clearImmediate

clearImmediate: function

- Defined in node_modules/@types/node/globals.d.ts:987

#### Type declaration

- - (immediateId: Immediate): void

  - #### Parameters

    - ##### immediateId: Immediate

    #### Returns void

### clearInterval

clearInterval: function

- Defined in node_modules/@types/node/globals.d.ts:988

#### Type declaration

- - (intervalId: Timeout): void

  - #### Parameters

    - ##### intervalId: Timeout

    #### Returns void

### clearTimeout

clearTimeout: function

- Defined in node_modules/@types/node/globals.d.ts:989

#### Type declaration

- - (timeoutId: Timeout): void

  - #### Parameters

    - ##### timeoutId: Timeout

    #### Returns void

### console

console: Console

- Defined in node_modules/@types/node/globals.d.ts:990

### decodeURI

decodeURI: decodeURI

- Defined in node_modules/@types/node/globals.d.ts:991

### decodeURIComponent

decodeURIComponent: decodeURIComponent

- Defined in node_modules/@types/node/globals.d.ts:992

### encodeURI

encodeURI: encodeURI

- Defined in node_modules/@types/node/globals.d.ts:993

### encodeURIComponent

encodeURIComponent: encodeURIComponent

- Defined in node_modules/@types/node/globals.d.ts:994

### escape

escape: function

- Defined in node_modules/@types/node/globals.d.ts:995

#### Type declaration

- - (str: string): string

  - #### Parameters

    - ##### str: string

    #### Returns string

### eval

eval: eval

- Defined in node_modules/@types/node/globals.d.ts:996

### gc

gc: function

- Defined in node_modules/@types/node/globals.d.ts:1010

#### Type declaration

- - (): void

  - #### Returns void

### global

global: Global

- Defined in node_modules/@types/node/globals.d.ts:997

### isFinite

isFinite: isFinite

- Defined in node_modules/@types/node/globals.d.ts:998

### isNaN

isNaN: isNaN

- Defined in node_modules/@types/node/globals.d.ts:999

### parseFloat

parseFloat: parseFloat

- Defined in node_modules/@types/node/globals.d.ts:1000

### parseInt

parseInt: parseInt

- Defined in node_modules/@types/node/globals.d.ts:1001

### process

process: Process

- Defined in node_modules/@types/node/globals.d.ts:1002

### queueMicrotask

queueMicrotask: queueMicrotask

- Defined in node_modules/@types/node/globals.d.ts:1007

### root

root: Global

- Defined in node_modules/@types/node/globals.d.ts:1003

### setImmediate

setImmediate: function

- Defined in node_modules/@types/node/globals.d.ts:1004

#### Type declaration

- - (callback: function, ...args: any[]): Immediate

  - #### Parameters

    - ##### callback: function

      - - (...args: any[]): void

        - #### Parameters

          - ##### Rest ...args: any[]

          #### Returns void

    - ##### Rest ...args: any[]

    #### Returns Immediate

### setInterval

setInterval: function

- Defined in node_modules/@types/node/globals.d.ts:1005

#### Type declaration

- - (callback: function, ms: number, ...args: any[]): Timeout

  - #### Parameters

    - ##### callback: function

      - - (...args: any[]): void

        - #### Parameters

          - ##### Rest ...args: any[]

          #### Returns void

    - ##### ms: number

    - ##### Rest ...args: any[]

    #### Returns Timeout

### setTimeout

setTimeout: function

- Defined in node_modules/@types/node/globals.d.ts:1006

#### Type declaration

- - (callback: function, ms: number, ...args: any[]): Timeout

  - #### Parameters

    - ##### callback: function

      - - (...args: any[]): void

        - #### Parameters

          - ##### Rest ...args: any[]

          #### Returns void

    - ##### ms: number

    - ##### Rest ...args: any[]

    #### Returns Timeout

### undefined

undefined: undefined

- Defined in node_modules/@types/node/globals.d.ts:1008

### unescape

unescape: function

- Defined in node_modules/@types/node/globals.d.ts:1009

#### Type declaration

- - (str: string): string

  - #### Parameters

    - ##### str: string

    #### Returns string

### Optional v8debug

v8debug: any

- Defined in node_modules/@types/node/globals.d.ts:1011

Generated using TypeDoc